Skip to main content
GET
/
api
/
v3
/
admin
/
webhook_endpoints
/
{webhook_endpoint_id}
/
deliveries
Spree Admin SDK
import { createAdminClient } from '@spree/admin-sdk'

const client = createAdminClient({
  baseUrl: 'https://your-store.com',
  secretKey: 'sk_xxx',
})

const deliveries = await client.webhookEndpoints.deliveries.list('whe_xxx')
{
  "data": [
    {
      "id": "whd_gbHJdmfrXB",
      "event_name": "order.created",
      "event_id": null,
      "response_code": 500,
      "execution_time": 200,
      "error_type": null,
      "request_errors": null,
      "response_body": null,
      "success": false,
      "payload": {
        "event": "order.created",
        "data": {
          "id": 1
        }
      },
      "created_at": "2026-06-05T13:13:13.136Z",
      "updated_at": "2026-06-05T13:13:13.136Z",
      "delivered_at": "2026-06-05T13:13:13.136Z",
      "webhook_endpoint_id": "whe_UkLWZg9DAJ",
      "webhook_endpoint_url": "https://shop.example.com/webhooks"
    },
    {
      "id": "whd_UkLWZg9DAJ",
      "event_name": "order.created",
      "event_id": null,
      "response_code": 200,
      "execution_time": 150,
      "error_type": null,
      "request_errors": null,
      "response_body": null,
      "success": true,
      "payload": {
        "event": "order.created",
        "data": {
          "id": 1
        }
      },
      "created_at": "2026-06-05T13:13:13.135Z",
      "updated_at": "2026-06-05T13:13:13.135Z",
      "delivered_at": "2026-06-05T13:13:13.135Z",
      "webhook_endpoint_id": "whe_UkLWZg9DAJ",
      "webhook_endpoint_url": "https://shop.example.com/webhooks"
    }
  ],
  "meta": {
    "page": 1,
    "limit": 25,
    "count": 2,
    "pages": 1,
    "from": 1,
    "to": 2,
    "in": 2,
    "previous": null,
    "next": null
  }
}

Authorizations

x-spree-api-key
string
header
required

Secret API key for admin access

Authorization
string
header
required

JWT token for admin user authentication

Headers

x-spree-api-key
string
required
Authorization
string
required

Bearer token for admin authentication

Path Parameters

webhook_endpoint_id
string
required

Parent webhook endpoint ID

Query Parameters

page
integer

Page number

limit
integer

Number of records per page

q[event_name_eq]
string

Filter by event name (exact)

q[success_eq]
boolean

Filter by success flag

sort
string

Sort by field. Prefix with - for descending (e.g., -delivered_at).

fields
string

Comma-separated list of fields to include. id is always included.

Response

deliveries found